Appearance
Update a conversation
Change the status of a conversation and/or attach freeform notes. Both fields are optional.
PUT/api/user/conversations/{id}
Required scope:
conversations:writePath parameters
integer
Request body (JSON)
curl -X PUT "https://loopx-console.test/api/user/conversations/27845" \
-H "Authorization: Bearer $TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{"status":"paused","notes":["Follow up next week","Customer asked for pricing details"]}'Example response
{
"status": true,
"code": 200,
"message": "Conversation updated successfully.",
"data": {
"id": 27845,
"status": "paused"
}
}Request body
| Field | Type | Description |
|---|---|---|
status | enum | active or paused |
notes | string[] | null | Array of note strings — replaces the existing notes list |
Errors
| Code | When |
|---|---|
403 | Token missing conversations:write scope |
404 | Conversation not found in your workspace |
422 | Invalid status enum value |